Java.lang.IllegalStateException: Version 10.5.2.0 of JAR is Not Matching Expected Range

Document ID : KB000072516
Last Modified Date : 05/03/2018
Show Technical Document Details
Issue:
     While deploying a hotifx (using steps such as described in: How can we run the Hotfix APM10.5.2HF17 script?), the hotfix installer reports an error:
java.lang.IllegalStateException: Version 10.5.2.0 of JAR product/enterprisemanager/plugins/com.wily.introscope.em_10.5.2.jar is not matching expected range from 10.5.2.15 to 10.5.2.76 
Environment:
     This issue can occur in either an APM 10.5.1 or 10.5.2 environment with a previous hotfix deployed. The error shown is from APM 10.5.2
Resolution:
  1. Stop:
   - Enterprise Manager (MOM/collector)
   - Webview
   - Workstation

  2. Restore the original jar files installed provided with the initial installation of APM.

These are available under the <Em Home>/hotfix/<previous hotfix>" folder. All the files are organized according to the product directory structure.
   - Copy the files manually to the original location.

  3. Re-execute the command to apply the new hotfix.
   - If Windows: jre\bin\java -jar <Hotfix jar> 
   - If Unix:        jre/bin/java -jar <Hotfix jar>

  4. Start:
   - Enterprise Manager (MOM/collector)
   - Webview
   - Workstation
Additional Information:
     As always, feel free to contact CA Support if you have further questions.